Subject: [Json] Ambiguous character references

From: Norbert Lindenberg <[email-masked]>
Date: Mon, 17 Jun 2013 23:07:00 -0700

The existing text in section 2.5 of RFC 4627, first through third paragraph, has the same ambiguous character references as discussed below. Do they need to be fixed?

quotation marks -> quotation marks (U+0022)

quotation mark -> quotation mark (U+0022)

reverse solidus -> reverse solidus (U+005C)

control characters (U+0000 through U+001F) -> control characters U+0000 through U+001F

lowercase letter u -> Latin small letter u (U+0075)

hexadecimal digits -> hexadecimal digits U+0030 through U+0039, U+0041 through U+0046, U+0061 through U+0066

Norbert

On Jun 17, 2013, at 7:43 , Paul Hoffman wrote:

> On Jun 17, 2013, at 7:32 AM, John Cowan <[email-masked]> wrote:
> 
>> Paul Hoffman scripsit:
>> 
>>>> Where's the contradiction?  The prose says exactly what the ABNF says.
>>>> %22 (quotation mark), %5C (backslash), and %D800 through %DFFF (surrogate
>>>> pairs) are left out of the full Unicode range.
>>> 
>>> U+0000-0019 is not the entire list of Unicode control characters? U+0022
>>> is not the only Unicode quotation mark.
>> 
>> I assume by "19" you mean "1F".  
> 
> Yes. :-)
> 
>> If you want to say "C0 control
>> characters", fine.  
> 
> That would work for me. But I suspect that some people will say "no, all control characters".
> 
>> But there is only one Unicode character named
>> "QUOTATION MARK", and it is the only one relevant to JSON.
> 
> Then we should say that. Or, better, not have a comment that is open to misinterpretation.
> 
>>> Did we not learn anything from the IDN WG work 13 years ago?
>> 
>> I don't see what that has to do with the price of pídàn in China.
> 
> An excellent accidental analogy! I was referring to the fact that "everyone" understood that the "dot" between DNS labels was U+002E... except the Japanese. And we had to put a complicated exception in for them, late in the process.
> 
>> Other quotation marks and control characters need not be escaped in JSON.
> 
> If everyone agrees with that, then we do not need the comment at all. But I suspect that "everyone" does not.
> 
> --Paul Hoffman
> _______________________________________________
> json mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/json

---

From: Paul Hoffman <[email-masked]>
Date: Tue, 18 Jun 2013 07:05:20 -0700

<no hat>

> hexadecimal digits -> hexadecimal digits U+0030 through U+0039, U+0041 through U+0046, U+0061 through U+0066

+1

--Paul Hoffman